<!DOCTYPE html>
<html lang="en">
<head>

    {% load static %}

    <title>Loft Orbital Demo</title>
    <link rel="stylesheet" type="text/css" href="{% static 'thermometer/styles_loft.css' %}">
    <script src="https://code.jquery.com/jquery-1.11.3.min.js"></script>

    <script type="text/javascript">
        function fetchdata(){
            $.ajax({
            url: 'http://localhost:8000/thermometer/index/',
            type: 'GET',
            success: function(response){
                // Perform operation on the return value

                //Variables extraction from the response
                var newTemperature = $(response).find('#temp')
                var count = $(response).find('#unit')

                //Change in the values showing the Temperature and the records number in the db
                document.getElementById("temp").innerHTML = newTemperature[0].innerText
                document.getElementById("unit").innerHTML = count[0].innerText
            }
            });
        }
        
        $(document).ready(function(){
            //When the document is loaded, we set an Interval to reload the new values
            setInterval(fetchdata,1000);
        });
    </script>

</head>

<body>

    <div id= "cabecera">
        <h1 id="title" style="font-family:forcedsquare;">Temperature Demo</h1>

        <div id="cuerpo">

            <div class="center">
                <p id="temp">{{ register }}</p>
            </div>
    
            <div class="center" id="unit_cont">
                <p id="unit">{{ unit }}</p>
            </div>
        </div>

	</div>


    
    <div id="footer">
    	<div id="contorno">
            
            <div class = "cont">
                <p>For more information</p>
                <a href="www.gitlab.es">Gitlab source code available</a>
            </div>

            <div class = "cont" id="contact">
                <p>Contact information</p>
                <p>cultu1b.rodriguezcasellas@gmail.com</p>
            </div>
            
            <div class = "cont2">
                <p>2020 Temperature Records Demo</p>
            </div>
    	</div>
    </div>

</body>
</html>



